Package org.kapott.hbci.sepa.jaxb.pain_001_002_02

## Class CurrencyAndAmountSCT

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_001_002_02.CurrencyAndAmountSCT

    public class CurrencyAndAmountSCT
    extends java.lang.Object

Java class for CurrencyAndAmountSCT complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CurrencyAndAmountSCT">
       <simpleContent>
         <extension base="<urn:swift:xsd:$pain.001.002.02>CurrencyAndAmount_SimpleTypeSCT">
           <attribute name="Ccy" use="required" type="{urn:swift:xsd:$pain.001.002.02}CurrencyCodeSCT" />
         </extension>
       </simpleContent>
     </complexType>

### Field Summary

Fields
`protected CurrencyCodeSCT` `ccy`
`protected java.math.BigDecimal` `value`

### Constructor Summary

Constructors
`CurrencyAndAmountSCT()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CurrencyCodeSCT` `getCcy()` Gets the value of the ccy property.
`java.math.BigDecimal` `getValue()` Gets the value of the value property.
`void` `setCcy​(CurrencyCodeSCT value)` Sets the value of the ccy property.
`void` `setValue​(java.math.BigDecimal value)` Sets the value of the value property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### value

    protected java.math.BigDecimal value

#### ccy

    protected CurrencyCodeSCT ccy

### Constructor Detail

#### CurrencyAndAmountSCT

    public CurrencyAndAmountSCT()

### Method Detail

#### getValue

    public java.math.BigDecimal getValue()

Gets the value of the value property.

Returns:
  possible object is `BigDecimal`

#### setValue

    public void setValue​(java.math.BigDecimal value)

Sets the value of the value property.

Parameters:
  `value` - allowed object is `BigDecimal`

#### getCcy

    public CurrencyCodeSCT getCcy()

Gets the value of the ccy property.

Returns:
  possible object is `CurrencyCodeSCT`

#### setCcy

    public void setCcy​(CurrencyCodeSCT value)

Sets the value of the ccy property.

Parameters:
  `value` - allowed object is `CurrencyCodeSCT`